AtomIterator
Date: 2019-10-22

org.jmol.adapter.smarter

## Class AtomIterator

- java.lang.Object
- - org.jmol.adapter.smarter.AtomIterator

- All Implemented Interfaces:
    JmolAdapterAtomIterator

      class AtomIterator
      extends java.lang.Object
      implements JmolAdapterAtomIterator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `ac`
    `private Atom` | `atom`
    `private Atom[]` | `atoms`
    `private javajs.util.BS` | `bsAtoms`
    `private int` | `iatom`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomIterator(AtomSetCollection asc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getAltLoc()`
    `java.lang.String` | `getAtomName()`
    `int` | `getAtomSetIndex()`
    `int` | `getAtomSite()`
    `float` | `getBfactor()`
    `int` | `getChainID()`
    `int` | `getElementNumber()`
    `int` | `getFormalCharge()`
    `java.lang.String` | `getGroup3()`
    `char` | `getInsertionCode()`
    `boolean` | `getIsHetero()`
    `float` | `getOccupancy()`
    `float` | `getPartialCharge()`
    `float` | `getRadius()`
    `int` | `getSeqID()`
    `int` | `getSequenceNumber()`
    `int` | `getSerial()`
    `javajs.util.BS` | `getSymmetry()`
    `javajs.util.Lst<java.lang.Object>` | `getTensors()`
    `java.lang.Object` | `getUniqueID()`
    `javajs.util.V3` | `getVib()` Note that atom.vib also serves to deliver specific data items.
    `javajs.util.P3` | `getXYZ()`
    `boolean` | `hasNext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iatom

          private int iatom

    - #### atom

          private Atom atom

    - #### ac

          private int ac

    - #### atoms

          private Atom[] atoms

    - #### bsAtoms

          private javajs.util.BS bsAtoms

  - ### Constructor Detail

    - #### AtomIterator

          AtomIterator(AtomSetCollection asc)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `JmolAdapterAtomIterator`

    - #### getAtomSetIndex

          public int getAtomSetIndex()

      Specified by:
        `getAtomSetIndex` in interface `JmolAdapterAtomIterator`

    - #### getSymmetry

          public javajs.util.BS getSymmetry()

      Specified by:
        `getSymmetry` in interface `JmolAdapterAtomIterator`

    - #### getAtomSite

          public int getAtomSite()

      Specified by:
        `getAtomSite` in interface `JmolAdapterAtomIterator`

    - #### getUniqueID

          public java.lang.Object getUniqueID()

      Specified by:
        `getUniqueID` in interface `JmolAdapterAtomIterator`

    - #### getElementNumber

          public int getElementNumber()

      Specified by:
        `getElementNumber` in interface `JmolAdapterAtomIterator`

    - #### getAtomName

          public java.lang.String getAtomName()

      Specified by:
        `getAtomName` in interface `JmolAdapterAtomIterator`

    - #### getFormalCharge

          public int getFormalCharge()

      Specified by:
        `getFormalCharge` in interface `JmolAdapterAtomIterator`

    - #### getPartialCharge

          public float getPartialCharge()

      Specified by:
        `getPartialCharge` in interface `JmolAdapterAtomIterator`

    - #### getTensors

          public javajs.util.Lst<java.lang.Object> getTensors()

      Specified by:
        `getTensors` in interface `JmolAdapterAtomIterator`

    - #### getRadius

          public float getRadius()

      Specified by:
        `getRadius` in interface `JmolAdapterAtomIterator`

    - #### getVib

          public javajs.util.V3 getVib()

      Note that atom.vib also serves to deliver specific data items.
      Specified by:
        `getVib` in interface `JmolAdapterAtomIterator`

    - #### getSeqID

          public int getSeqID()

      Specified by:
        `getSeqID` in interface `JmolAdapterAtomIterator`

    - #### getBfactor

          public float getBfactor()

      Specified by:
        `getBfactor` in interface `JmolAdapterAtomIterator`

    - #### getOccupancy

          public float getOccupancy()

      Specified by:
        `getOccupancy` in interface `JmolAdapterAtomIterator`

    - #### getIsHetero

          public boolean getIsHetero()

      Specified by:
        `getIsHetero` in interface `JmolAdapterAtomIterator`

    - #### getSerial

          public int getSerial()

      Specified by:
        `getSerial` in interface `JmolAdapterAtomIterator`

    - #### getChainID

          public int getChainID()

      Specified by:
        `getChainID` in interface `JmolAdapterAtomIterator`

    - #### getAltLoc

          public char getAltLoc()

      Specified by:
        `getAltLoc` in interface `JmolAdapterAtomIterator`

    - #### getGroup3

          public java.lang.String getGroup3()

      Specified by:
        `getGroup3` in interface `JmolAdapterAtomIterator`

    - #### getSequenceNumber

          public int getSequenceNumber()

      Specified by:
        `getSequenceNumber` in interface `JmolAdapterAtomIterator`

    - #### getInsertionCode

          public char getInsertionCode()

      Specified by:
        `getInsertionCode` in interface `JmolAdapterAtomIterator`

    - #### getXYZ

          public javajs.util.P3 getXYZ()

      Specified by:
        `getXYZ` in interface `JmolAdapterAtomIterator`